import { onMounted, onUnmounted } from 'vue'

export function useEscapeKey(callback: () => void) {
  const handleKeydown = (e: KeyboardEvent) => {
    if (e.key === 'Escape') {
      callback()
    }
  }

  onMounted(() => {
    window.addEventListener('keydown', handleKeydown)
  })

  onUnmounted(() => {
    window.removeEventListener('keydown', handleKeydown)
  })
}
