import { computed } from 'vue'

export function useIsMobile() {
  const userAgent = navigator.userAgent || navigator.vendor || window.opera

  // Check for mobile user agents
  const isMobile = computed(() => {
    const mobileRegex = /Android|webOS|iPhone|iPad|iPod|BlackBerry|Windows Phone/i
    return mobileRegex.test(userAgent)
  })

  return { isMobile }
}
