import { defineStore } from 'pinia'

export const useAppStore = defineStore('app', {
  state: () => ({
    editorMode: false,
  }),
  actions: {
    setEditorMode(editorMode: boolean) {
      this.editorMode = editorMode
      if (this.editorMode) {
        document.body.classList.add('editorMode')
      } else {
        document.body.classList.remove('editorMode')
      }
    },
    switchMode() {
      this.setEditorMode(!this.editorMode)
    },
    getEditorMode() {
      return this.editorMode
    },
  },
})
