import type { Story } from '@/types/virages'
import { defineStore } from 'pinia'
import datas from '@/assets/stories.json'

export const useStoryStore = defineStore('story', {
  state: () => ({
    stories: [] as Story[],
    isStoryOpen: false,
  }),
  actions: {
    getStories() {
      this.stories = datas
    },
    openStory(story: Story) {
      this.stories.forEach((story) => {
        story.displayMode = 'HIDDEN'
      })
      story.displayMode = 'EDITOR'
      this.isStoryOpen = true
      document.body.classList.add('app-fullscreen')
    },
    closeStories() {
      this.stories.forEach((story) => {
        story.displayMode = 'ARTICLE'
      })
      this.isStoryOpen = false
      document.body.classList.remove('app-fullscreen')
    },
    getStoryById(id: number) {
      this.stories.forEach((story) => {
        story.displayMode = 'ARTICLE'
      })
      return this.stories.find((story) => story.id === id)
    },
    addMarker(story: Story, marker: Marker) {
      story.markers.push(marker)
    },
  },
})
