export interface Story {
  id: number
  name: string
  author: string
  url: string // absolute or relative url (../public/deepzoom)
  markers: Marker[]
  displayMode: string // 'ARTICLE' | 'EDITOR' | 'PLAYER' | 'HIDDEN'
  // date_art_creation: Date
}

export interface Marker {
  id: number
  order: number
  name: string
  bounds: {
    x: number
    y: number
    width: number
    height: number
    degrees: number
  }
  point: {
    x: number
    y: number
  }
  zoom: number
  annotation: string
}

export interface ViewerConfiguration {
  prefixUrl: string
  crossOriginPolicy: string
  animationTime: number
  showNavigator: boolean
  sequenceMode: boolean
  showNavigationControl: boolean
  drawer: string
  preventDefaultAction: boolean
  visibilityRatio: number
  defaultZoomLevel: number
  gestureSettingsMouse: {
    scrollToZoom: boolean
    clickToZoom: boolean
    dblClickToZoom: boolean
    dragToPan: boolean
  }
}
